#include <Adafruit_NeoPixel.h>

#define PIN 6    //连接引脚
#define LEDquantity 6 //LED灯珠数量

// Parameter 1 = number of pixels in strip
// Parameter 2 = pin number (most are valid)
// Parameter 3 = pixel type flags, add together as needed:
//   NEO_RGB     Pixels are wired for RGB bitstream
//   NEO_GRB     Pixels are wired for GRB bitstream
//   NEO_KHZ400  400 KHz bitstream (e.g. FLORA pixels)
//   NEO_KHZ800  800 KHz bitstream (e.g. High Density LED strip)
Adafruit_NeoPixel strip = Adafruit_NeoPixel(LEDquantity, PIN, NEO_GRB + NEO_KHZ800);

void setup() {
  strip.begin();  //初始化必要函数
  strip.show(); // Initialize all pixels to 'off'
}

void loop() {
  // Some example procedures showing how to display to the pixels:
  for (int i = 0; i <= 7; i++)   // i是级联的LED数目
  {
    strip.setPixelColor(i, strip.Color(255, 0, 0));  //显示颜色函数 [lednum, strip.Color(r, g, b)]， 红色
    strip.show();
    delay(1000);
    strip.setPixelColor(i, 0, 255, 0);  //显示颜色函数 [lednum,r,g,b] ，绿色
    strip.show();
    delay(1000);
    strip.setPixelColor(i, 0, 0, 0);  //显示颜色函数 [lednum,r,g,b]，黑色 
    strip.show();

  }

}
